Debian Bug report logs - #289690
cannot access some files with samba

version graph

Package: kernel-image-2.6.8-3-686; Maintainer for kernel-image-2.6.8-3-686 is (unknown);

Reported by: Tibor Radvanyi <Tibor.Radvanyi@unilever.com>

Date: Mon, 10 Jan 2005 15:33:08 UTC

Severity: serious

Tags: sarge-ignore

Fixed in version 2.6.8-99+rm

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-1-686. Full text and rfc822 format available.

Acknowledgement sent to Tibor Radvanyi <Tibor.Radvanyi@unilever.com>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tibor Radvanyi <Tibor.Radvanyi@unilever.com>
To: submit@bugs.debian.org
Date: Mon, 10 Jan 2005 16:25:26 +0100
Package: kernel-image-2.6.8-1-686
Version: 2.6.8-10

Dear Package Maintener,

I am using Sarge, I have just did an apt-get dist-upgrade. My previous 
kernel was already 2.6.8 but it was also upgraded during the dist-upgrade.
I use pam_mount to mount NT server shares. It used to be working fine 
before the dist-upgrade, but now when I try to reach certain files (I 
tend to suspect that this is file size related) the command e.g. a cp 
just hangs then gives this:
 cp ~/local/M/data/Docs/Form.doc ./
 cp: reading `/home/tibor/local/M/data/Docs/Form.doc': Input/output error

At the same time I see this in /var/log/syslog:
 Jan 10 15:35:05 matrix kernel: smb_proc_readX_data: offset is larger 
than SMB_READX_MAX_PAD or negative!
 Jan 10 15:35:05 matrix kernel: smb_proc_readX_data: -59 > 64 || -59 < 0
 Jan 10 15:35:35 matrix kernel: smb_add_request: request [d5509e60, 
mid=211] timed out!


The content of ~/.pam_mount.conf is the following:
volume user01 smb ebpsfile04   tradva01$ /home/tibor/local/M 
uid=tibor,gid=tibor - -
volume user01 smb ebpsgrpclust groups    /home/tibor/local/S 
uid=tibor,gid=tibor - -
volume user01 smb ebpsduplo    IT        /home/tibor/local/F 
uid=tibor,gid=tibor - -
volume user01 smb 10.10.1.15  movies    /home/tibor/local/movies 
uid=tibor,gid=tibor - -


The relvant (not comment) lines /etc/security/pam_mount.conf
debug 0
mkmountpoint 1
fsckloop /dev/loop7
luserconf .pam_mount.conf
options_allow   uid,gid,nosuid,nodev,loop,encryption
options_require uid,gid
lsof /usr/sbin/lsof %(MNTPT)
fsck /sbin/fsck -p %(FSCKLOOP)
losetup /sbin/losetup -p0 "%(before=\"-e \" CIPHER)" "%(before=\"-k \" 
KEYBITS)" %(FSCKLOOP) %(VOLUME)
unlosetup /sbin/losetup -d %(FSCKLOOP)
cifsmount /bin/mount -t cifs //%(SERVER)/%(VOLUME) %(MNTPT) -o 
"username=%(USER)%(before=\",\" OPTIONS)"
smbmount /usr/bin/smbmount   //%(SERVER)/%(VOLUME) %(MNTPT) -o 
"username=%(USER)%(before=\",\" OPTIONS)"
ncpmount /usr/bin/ncpmount   %(SERVER)/%(USER) %(MNTPT) -o 
"pass-fd=0,volume=%(VOLUME)%(before=\",\" OPTIONS)"
smbumount /usr/bin/smbumount %(MNTPT)
ncpumount /usr/bin/ncpumount %(MNTPT)
umount   /bin/umount %(MNTPT)
lclmount /bin/mount -p0 %(VOLUME) %(MNTPT) "%(before=\"-o \" OPTIONS)"
cryptmount /bin/mount -t crypt "%(before=\"-o \" OPTIONS)" %(VOLUME) 
%(MNTPT)
nfsmount /bin/mount %(SERVER):%(VOLUME) "%(MNTPT)%(before=\"-o \" OPTIONS)"
mntagain /bin/mount --bind %(PREVMNTPT) %(MNTPT)
pmvarrun /usr/sbin/pmvarrun -u %(USER) -d -o %(OPERATION)


The libc6 version I am using: 2.3.2.ds1-20


uname -a prints:
Linux matrix 2.6.8-1-686 #1 Thu Nov 25 04:34:30 UTC 2004 i686 GNU/Linux


I found the following post that may be useful:
http://lwn.net/Articles/112514/?format=printable


Regards,
Tibor



Bug reassigned from package `kernel-image-2.6.8-1-686' to `kernel-image-2.6.8-2-686'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Thomas Clavier <tom@tcweb.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 289690@bugs.debian.org (full text, mbox):

From: Thomas Clavier <tom@tcweb.org>
To: Debian Bug Tracking System <289690@bugs.debian.org>
Subject: kernel-image-2.6.8-2-686: smbfs : i/o error
Date: Tue, 08 Feb 2005 17:00:48 +0100
Package: kernel-image-2.6.8-2-686
Version: 2.6.8-13
Followup-For: Bug #289690


width last kernel-2.6.8, it's impossible to cp some files on smbfs and
they are this log in /var/log/messages : 
Feb  8 16:43:14 localhost kernel: smb_proc_readX_data: offset is larger
	than SMB_READX_MAX_PAD or negative!
Feb  8 16:43:14 localhost kernel: smb_proc_readX_data: -59 > 64 || -59 <
	0
Feb  8 16:43:44 localhost kernel: smb_add_request: request [c4e89e60,
	mid=119] timed out!
		 
whith 2.6.7-1-686 they are no input/output erros. 

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-1-686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages kernel-image-2.6.8-2-686 depends on:
ii  coreutils [fileutils]         5.2.1-2    The GNU core utilities
ii  initrd-tools                  0.1.77     tools to create initrd image for p
ii  module-init-tools             3.2-pre1-2 tools for managing Linux kernel mo

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Ognyan Kulev <ogi@fmi.uni-sofia.bg>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 289690@bugs.debian.org (full text, mbox):

From: Ognyan Kulev <ogi@fmi.uni-sofia.bg>
To: Thomas Clavier <tom@tcweb.org>, 289690@bugs.debian.org
Subject: Re: Bug#289690: kernel-image-2.6.8-2-686: smbfs : i/o error
Date: Tue, 08 Feb 2005 19:58:16 +0200
Thomas Clavier wrote:
> width last kernel-2.6.8, it's impossible to cp some files on smbfs and
> they are this log in /var/log/messages : 
> Feb  8 16:43:14 localhost kernel: smb_proc_readX_data: offset is larger
> 	than SMB_READX_MAX_PAD or negative!
> Feb  8 16:43:14 localhost kernel: smb_proc_readX_data: -59 > 64 || -59 <
> 	0
> Feb  8 16:43:44 localhost kernel: smb_add_request: request [c4e89e60,
> 	mid=119] timed out!
> 		 
> whith 2.6.7-1-686 they are no input/output erros. 

I get similar errors, but nobody from Samba team responded: 
http://lists.samba.org/archive/samba/2004-December/097584.html :-(

Regards,
ogi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Ognyan Kulev <ogi@fmi.uni-sofia.bg>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 289690@bugs.debian.org (full text, mbox):

From: Ognyan Kulev <ogi@fmi.uni-sofia.bg>
To: Ognyan Kulev <ogi@fmi.uni-sofia.bg>, 289690@bugs.debian.org
Cc: Thomas Clavier <tom@tcweb.org>
Subject: Re: Bug#289690: kernel-image-2.6.8-2-686: smbfs : i/o error
Date: Wed, 09 Feb 2005 16:59:09 +0200
Ognyan Kulev wrote:
> Thomas Clavier wrote:
>> width last kernel-2.6.8, it's impossible to cp some files on smbfs and
>> they are this log in /var/log/messages : Feb  8 16:43:14 localhost 
>> kernel: smb_proc_readX_data: offset is larger
>>     than SMB_READX_MAX_PAD or negative!
>> Feb  8 16:43:14 localhost kernel: smb_proc_readX_data: -59 > 64 || -59 <
>>     0
>> Feb  8 16:43:44 localhost kernel: smb_add_request: request [c4e89e60,
>>     mid=119] timed out!
>>          whith 2.6.7-1-686 they are no input/output erros. 
> 
> I get similar errors, but nobody from Samba team responded: 
> http://lists.samba.org/archive/samba/2004-December/097584.html :-(

I've just upgraded to 2.6.10 and the problem has completely disappeared.

Regards,
ogi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to tom@tcweb.org:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 289690@bugs.debian.org (full text, mbox):

From: Thomas CLavier <tclavier@partner.auchan.com>
To: Ognyan Kulev <ogi@fmi.uni-sofia.bg>
Cc: 289690@bugs.debian.org
Subject: Re: Bug#289690: kernel-image-2.6.8-2-686: smbfs : i/o error
Date: Thu, 10 Feb 2005 09:57:37 +0100
Ognyan Kulev wrote:
> I've just upgraded to 2.6.10 and the problem has completely disappeared.
> 
Yes, but the official 2.6 sarge kernel is 2.6.8-2 :-(

-- 
Thomas Clavier                  http://www.tcweb.org
Lille Sans Fil                  http://www.lillesansfil.org
+33 (0)6 20 81 81 30            JabberID : tom@jabber.tcweb.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 289690@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: tom@tcweb.org, 289690@bugs.debian.org
Subject: Re: Bug#289690: kernel-image-2.6.8-2-686: smbfs : i/o error
Date: Fri, 11 Feb 2005 16:51:37 +0900
On Thu, Feb 10, 2005 at 09:57:37AM +0100, Thomas CLavier wrote:
> Ognyan Kulev wrote:
> >I've just upgraded to 2.6.10 and the problem has completely disappeared.
> >
> Yes, but the official 2.6 sarge kernel is 2.6.8-2 :-(

Yes, but the information on 2.6.10 is still useful,
as it indicates there is a fix there that is missing.
Now to find it...

-- 
Horms



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <raphael@ouaza.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 289690@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <raphael@ouaza.com>
To: 289690@bugs.debian.org
Subject: This bug is release critical IMO
Date: Thu, 17 Mar 2005 11:36:20 +0100
severity 289690 serious
thanks

This bug should really be fixed for sarge... releasing with broken Samba
support isn't an option.

I also encountered the bug on my side (with version 2.6.8-13 of the
kernel).

You must be able to find out the relevant change in the kernel bitkeeper
history, isn't it ?

As a starting point, you may contact the guy who posted that mail :
http://lwn.net/Articles/112514/?format=printable

Regards,
 Raphaël.




Severity set to `serious'. Request was from Raphael Hertzog <raphael@ouaza.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 289690@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: Raphael Hertzog <raphael@ouaza.com>, 289690@bugs.debian.org
Subject: Re: Bug#289690: This bug is release critical IMO
Date: Fri, 18 Mar 2005 18:15:31 +0900
Can you please update to a more recent version of 2.6.8 and retest?

-- 
Horms



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <raphael@ouaza.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 289690@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <raphael@ouaza.com>
To: Horms <horms@debian.org>
Cc: 289690@bugs.debian.org
Subject: Re: Bug#289690: This bug is release critical IMO
Date: Fri, 18 Mar 2005 10:33:29 +0100
Le vendredi 18 mars 2005 à 18:15 +0900, Horms a écrit :
> Can you please update to a more recent version of 2.6.8 and retest?

Which one ? I don't know of anything newer than 2.6.8-13 ...

(I was using -13 as I reported in my mail)

Cheers,
-- 
Raphaël Hertzog -+- http://www.ouaza.com
Formation Linux et logiciel libre : http://www.logidee.com
Earn money with free software: http://www.geniustrader.org




Changed Bug title. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@verge.net.au>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #56 received at 289690@bugs.debian.org (full text, mbox):

From: Horms <horms@verge.net.au>
To: Raphael Hertzog <raphael@ouaza.com>
Cc: 289690@bugs.debian.org
Subject: Re: Bug#289690: This bug is release critical IMO
Date: Sat, 19 Mar 2005 14:09:40 +0900
On Fri, Mar 18, 2005 at 10:33:29AM +0100, Raphael Hertzog wrote:
> > Can you please update to a more recent version of 2.6.8 and retest?
> 
> Which one ? I don't know of anything newer than 2.6.8-13 ...
> 
> (I was using -13 as I reported in my mail)

Sorry, I missread your mail and thought you were using a different
version.

-- 
Horms



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #61 received at 289690@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 289690-submitter@bugs.debian.org, 289690@bugs.debian.org
Cc: raphael@ouaza.com
Subject: Re: cannot access some files with samba
Date: Fri, 8 Apr 2005 19:22:00 -0700
[Message part 1 (text/plain, inline)]
Does this bug also occur when using the cifs driver instead of the smbfs
driver?  It's my impression that the smbfs driver is no longer
well-maintained upstream in 2.6, and that the cifs driver is a better
choice.  I'm not sure if we should consider this bug release-critical when
there are lots of other problematic smbfs bugs out there even if this one
gets fixed.

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Message sent on to Tibor Radvanyi <Tibor.Radvanyi@unilever.com>:
Bug#289690. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Tibor Radvanyi <Tibor.Radvanyi@unilever.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 289690@bugs.debian.org (full text, mbox):

From: Tibor Radvanyi <Tibor.Radvanyi@unilever.com>
To: Steve Langasek <vorlon@debian.org>, 289690-quiet@bugs.debian.org
Cc: 289690-submitter@bugs.debian.org, 289690@bugs.debian.org, raphael@ouaza.com
Subject: Re: Bug#289690: cannot access some files with samba
Date: Mon, 11 Apr 2005 14:49:11 +0200
Unfortunately I cannot reproduce the problem with cifs because I shifted 
to 2.6.10.
I use smbfs with this kernel and do not experience any problem. I 
believe the bug has been fixed.

Steve Langasek wrote:
> Does this bug also occur when using the cifs driver instead of the smbfs
> driver?  It's my impression that the smbfs driver is no longer
> well-maintained upstream in 2.6, and that the cifs driver is a better
> choice.  I'm not sure if we should consider this bug release-critical when
> there are lots of other problematic smbfs bugs out there even if this one
> gets fixed.
> 



Information stored:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Tibor Radvanyi <Tibor.Radvanyi@unilever.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to Tibor Radvanyi <Tibor.Radvanyi@unilever.com>:
Bug#289690. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <raphael@ouaza.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 289690@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <raphael@ouaza.com>
To: Steve Langasek <vorlon@debian.org>
Cc: 289690@bugs.debian.org
Subject: Re: cannot access some files with samba
Date: Wed, 13 Apr 2005 15:50:59 +0200
Le vendredi 08 avril 2005 à 19:22 -0700, Steve Langasek a écrit :
> Does this bug also occur when using the cifs driver instead of the smbfs
> driver?

I couldn't reproduce the problem now... it looks like the bug only
happens with a Windows (2000) SMB server because I tried to reproduce
the problem with Samba as server and I couldn't manage it (I can't
remember the name of the problematic file but I was able to md5sum all
files below my directory which contained the problematic file).

>  It's my impression that the smbfs driver is no longer
> well-maintained upstream in 2.6, and that the cifs driver is a better
> choice.  I'm not sure if we should consider this bug release-critical when
> there are lots of other problematic smbfs bugs out there even if this one
> gets fixed.

Okay, then maybe a release note telling this would be welcome.

Regards,
-- 
Raphaël Hertzog -+- http://www.ouaza.com
Formation Linux et logiciel libre : http://www.logidee.com
Earn money with free software: http://www.geniustrader.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #87 received at 289690@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 296274@bugs.debian.org, 274167@bugs.debian.org, 289690@bugs.debian.org, 292290@bugs.debian.org, 292478@bugs.debian.org, 288180@bugs.debian.org, 302704@bugs.debian.org
Subject: kernel bugs: deferred until sarge r1
Date: Sun, 15 May 2005 01:56:04 -0700
[Message part 1 (text/plain, inline)]
tags 296274 sarge-ignore
tags 274167 sarge-ignore
tags 289690 sarge-ignore
tags 292290 sarge-ignore
tags 292478 sarge-ignore
tags 288180 sarge-ignore
tags 302704 sarge-ignore
thanks

Because the kernel packages cannot be updated between now and the sarge
release without disrupting the installer, these bugs are all, regrettably,
deferred until the first sarge point release (or later, at the SRM's
discretion).

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Tags added: sarge-ignore Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Jo Shields <directhex@apebox.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #94 received at 289690@bugs.debian.org (full text, mbox):

From: Jo Shields <directhex@apebox.org>
To: Debian Bug Tracking System <289690@bugs.debian.org>
Subject: smbfs fails on some files on kernel-image-2.6.8-2-686-smp version 2.6.8-13
Date: Mon, 16 May 2005 01:28:02 +0100
Package: kernel-image-2.6.8-2-686
Followup-For: Bug #289690


Further to the above report, I have a somewhat lazier smbfs mount set on boot (some simple entries in fstab, with a credentials file).

Some of my music, stored on a Windows Server 2003 machine, is not properly accessible via these smbfs mounts - there is a delay of up to a minute and an I/O error, before the file is transferred.

This problem ONLY occurs with smbfs on kernel 2.6.8 - the same files are accessible using Windows XP, the same kernel with smbclient, the same kernel with -t cifs instead of -t smbfs, or a 2.6.11 kernel with -t smbfs.

directhex@dib:~$ time cp /mnt/gir/music/Eels/Blinking\ Lights\ And\ Other\ Revelations/05\ -\ Trouble\ With\ Dreams.mp3 /tmp/
cp: reading `/mnt/gir/music/Eels/Blinking Lights And Other Revelations/05 - Trouble With Dreams.mp3': Input/output error
real    0m31.449s
user    0m0.007s
sys     0m0.058s
directhex@dib:~$ time cp /mnt/foo/Eels/Blinking\ Lights\ And\ Other\ Revelations/05\ -\ Trouble\ With\ Dreams.mp3 /tmp/
real    0m0.057s
user    0m0.002s
sys     0m0.053s

/mnt/gir/music and /mnt/foo are mounting the same Windows Server 2003 share, the former uses smbfs the latter cifs.


--Jo Shields

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.11-1-686-smp
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Daniel Kabs <daniel.kabs@mobotix.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #99 received at 289690@bugs.debian.org (full text, mbox):

From: Daniel Kabs <daniel.kabs@mobotix.com>
To: 289690@bugs.debian.org
Subject: cannot access some files with samba
Date: Thu, 1 Sep 2005 09:54:45 +0200
Hello,

this is my first comment on bugs.debian.org. I hope this is the correct way to 
add my 5 cent to it.

I've just installed Debian sarge. So far, so good :-)

Mounting a shared folder from a Windows XP (SP2) machine worked
  mount -t smb -o username=daniel //javascript/freigabe/win
but copying files failed with 
  cp: reading `/win/datafile': Input/output error

At the same time the kernel messages show
  smb_proc_readX_data: offset is larger than SMB_READX_MAX_PAD or negative!
  smb_proc_readX_data: -59 > 64 || -59 < 0
  smb_add_request: request [ce51ce80, mid=32582] timed out!

So I can confirm this bug for Windows XP :-(

Workaround:
Mounting the XP machine using cifs 
  mount -t cifs -o username=daniel //javascript/freigabe /win
does cure the problem.

Cheers
Daniel Kabs



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #104 received at 289690@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: Daniel Kabs <daniel.kabs@mobotix.com>, 289690@bugs.debian.org
Subject: Re: Bug#289690: cannot access some files with samba
Date: Thu, 1 Sep 2005 17:20:44 +0900
On Thu, Sep 01, 2005 at 09:54:45AM +0200, Daniel Kabs wrote:
> Hello,
> 
> this is my first comment on bugs.debian.org. I hope this is the
> correct way to add my 5 cent to it.

Yes, indeed it is, thanks for the additional information.

-- 
Horms



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #109 received at 289690@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: "J. William Campbell" <jwilliamcampbell@comcast.net>
Cc: 289690@bugs.debian.org, Tibor Radvanyi <Tibor.Radvanyi@unilever.com>
Subject: Re: Bug#289690: cannot access some files with samba
Date: Wed, 14 Sep 2005 11:43:39 +0900
On Tue, Sep 13, 2005 at 12:24:49PM -0700, J. William Campbell wrote:
> This bug can easily be produced by creating a zero-length file on the 
> Windows XP system. Attempting to copy this empty file from XP to the 
> Linux system
> will then produce this error. Unfortunately this is not the only way to 
> produce the error, but zero-length files seem to always produce the error.

Hi,

could you please try the sarge backport of 2.6.12 to see
if this problem has been resolved in those packages.

http://packages.vergenet.net/testing/linux-2.6/

-- 
Horms



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Knut Ingvald Dietzel <kid@dietzel.no>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #114 received at 289690@bugs.debian.org (full text, mbox):

From: Knut Ingvald Dietzel <kid@dietzel.no>
To: 289690@bugs.debian.org
Cc: Horms <horms@debian.org>, "J. William Campbell" <jwilliamcampbell@comcast.net>, Tibor Radvanyi <Tibor.Radvanyi@unilever.com>
Subject: Re: Bug#289690: cannot access some files with samba
Date: Tue, 28 Feb 2006 17:15:19 +0100
On Wed, Sep 14, 2005 at 11:43:39AM +0900, Horms wrote:
> On Tue, Sep 13, 2005 at 12:24:49PM -0700, J. William Campbell wrote:
> > This bug can easily be produced by creating a zero-length file on the 
> > Windows XP system. Attempting to copy this empty file from XP to the 
> > Linux system
> > will then produce this error. Unfortunately this is not the only way to 
> > produce the error, but zero-length files seem to always produce the error.
> 
> Hi,
> 
> could you please try the sarge backport of 2.6.12 to see
> if this problem has been resolved in those packages.
> 
> http://packages.vergenet.net/testing/linux-2.6/

Hi,

I am experiencing the same problems using Debian Sarge with 
kernel-image-2.6.8-2-686_2.6.8-16sarge1_i386.deb when mounting shares
from an Windows NT4 server using smbfs.

I was unable to locate the sarge backport of 2.6.12 in the above
mentioned folder. Though, after looking around for a short while I think
I found the correct URL:
  <URL:http://packages.vergenet.net/sarge-backports/linux-2.6/linux-image-2.6.12-1-686_2.6.12-5.99.sarge1_i386.deb>

Installing the backport appears to me to solve the above mentioned issues.


Best regards,
-- 
Knut



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#289690; Package kernel-image-2.6.8-2-686. Full text and rfc822 format available.

Acknowledgement sent to Simon Waters <simonw@zynet.net>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #119 received at 289690@bugs.debian.org (full text, mbox):

From: Simon Waters <simonw@zynet.net>
To: 289690@bugs.debian.org
Subject: Data corruption?
Date: Thu, 12 Oct 2006 16:46:18 +0100
Just hit what I'm fairly sure is the same bug.

Same errors logged.

Was attempting to use ' perl -pi -e "s!--!---!" ' to update some files on a 
Windows 2000 server from a Sarge desktop.

Attempts to workaround by using cifs immediately after the problem occurred (I 
did reboot, but otherwise I was immediately into trying it with CIFS) results 
in "input/output" errors logged against files that had previously been 
operated on. So this may not be a suitable workaround, or it may be necessary 
to fix data corruption issues before using CIFS.

At some point in the procedure the files were truncated to size 0.

Data is now restored from a known good source.

I will try a kernel from backports so I can get on with my work.

Was this error introduced into Sarge since release, as I'm fairly sure this 
had worked in the past?

The whole of Samba/SMB support in Sarge is very problematic, but this is the 
first time I've had it eat data.



Bug reassigned from package `kernel-image-2.6.8-2-686' to `kernel-image-2.6.8-3-686'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Michlmayr <tbm@cyrius.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tibor Radvanyi <Tibor.Radvanyi@unilever.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #126 received at 289690-done@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 289690-done@bugs.debian.org
Subject: Kernel from Debian 3.1 no longer supported
Date: Fri, 20 Jun 2008 17:10:36 +0200
Version: 2.6.8-99+rm

You reported a bug against the Linux kernel (version 2.6.8) that was
shipped with Debian 3.1 (sarge).  Since Debian 3.1 is no longer
supported and the kernel has changed so much that it would be very
difficult to verify every outstanding bug from 2.6.8, I'm hereby
closing your bug report.

If you still see this issue with the kernel from the upcoming release
of Debian (lenny, version 5.0), then please me know and I'll be happy
to reopen this bug report.

Thanks.

-- 
Martin Michlmayr
http://www.cyrius.com/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 10:58:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:04:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.